#include "model.h"


int model::rowCount(const QModelIndex &) const {
//	return 256000000;
//	return 110000000;
	return 80000000;
}

int model::columnCount(const QModelIndex &parent) const {
	return 1;
}

QVariant model::data(const QModelIndex &index, int role) const {
	switch (role) {
	case Qt::DisplayRole: return QVariant("test");
	}
	return QVariant();
}

Qt::ItemFlags model::flags(const QModelIndex &index) const {
	Qt::ItemFlags value = 0;
	if (index.isValid()) value = Qt::ItemIsEditable | Qt::ItemIsEnabled | Qt::ItemIsSelectable;
	return value;
}

QVariant model::headerData(int section, Qt::Orientation orientation, int role) const {
	if ((role == Qt::DisplayRole) && (orientation == Qt::Horizontal))
		return "column";
	else if ((role == Qt::DisplayRole) && (orientation == Qt::Vertical))
		return ++section;
	return QVariant();
}

QModelIndex model::index(int row, int column, const QModelIndex &) const {
	QModelIndex index;
	if (hasIndex(row, column)) index = createIndex(row, column, 0);
	else index = QModelIndex();
	return index;
}
