#ifndef MODEL_H
#define MODEL_H

#include <QtGui>

class model : public QAbstractTableModel
{
public:
	int rowCount(const QModelIndex &) const;
	int columnCount(const QModelIndex &parent) const;
	Qt::ItemFlags flags(const QModelIndex &index) const;
	QVariant data(const QModelIndex &index, int role) const;
	QVariant headerData(int section, Qt::Orientation orientation, int role) const;
	QModelIndex index(int row, int column, const QModelIndex &) const;
	explicit model() {}
};

#endif // MODEL_H
